<inp2:adm_SetPopupSize width="570" height="540"/>
<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:user_list" prefix="u" title_preset="user_edit_addresses" tab_preset="Default" pagination_prefix="addr" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
	<tr>
		<td>
			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<script type="text/javascript">
							a_toolbar = new ToolBar();

							a_toolbar.AddButton(
								new ToolBarButton(
									'select',
									'<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>',
									function() {
										submit_event('u', '<inp2:u_SaveEvent/>');
									}
								)
							);

							a_toolbar.AddButton(
								new ToolBarButton(
									'cancel',
									'<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>',
									function() {
										cancel_edit('u','OnCancelEdit','<inp2:u_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
									}
								)
							);

							a_toolbar.AddButton( new ToolBarSeparator('sep1') );

							a_toolbar.AddButton(
								new ToolBarButton(
									'prev',
									'<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>',
									function() {
										go_to_id('u', '<inp2:u_PrevId/>');
									}
								)
							);

							a_toolbar.AddButton(
								new ToolBarButton(
									'next',
									'<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>',
									function() {
										go_to_id('u', '<inp2:u_NextId/>');
									}
								)
							);

							a_toolbar.AddButton( new ToolBarSeparator('sep2') );

							<!-- Start Address Buttons -->

							function edit()
							{
								std_edit_temp_item('addr', 'in-commerce/users/user_address_edit');
							}

							a_toolbar.AddButton(
								new ToolBarButton(
									'new_item',
									'<inp2:m_phrase label="la_ToolTip_NewAddress" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
									function() {
										std_new_item('addr', 'in-commerce/users/user_address_edit')
									}
								)
							);

							a_toolbar.AddButton(
								new ToolBarButton(
									'edit',
									'<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>',
									edit
								)
							);

							a_toolbar.AddButton(
								new ToolBarButton(
									'delete',
									'<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
									function() {
										std_delete_items('addr')
									}
								)
							);

							a_toolbar.AddButton(
								new ToolBarButton(
									'view',
									'<inp2:m_phrase label="la_ToolTip_View" escape="1"/>',
									function(id) {
										show_viewmenu(a_toolbar, 'view');
									}
								)
							);

							<!-- End Address Buttons -->

							a_toolbar.Render();

							<inp2:m_if check="u_IsSingle">
								a_toolbar.HideButton('prev');
								a_toolbar.HideButton('next');
								a_toolbar.HideButton('sep1');
							<inp2:m_else/>
								<inp2:m_if check="u_IsLast">
									a_toolbar.DisableButton('next');
								</inp2:m_if>
								<inp2:m_if check="u_IsFirst">
									a_toolbar.DisableButton('prev');
								</inp2:m_if>
							</inp2:m_if>
						</script>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<inp2:m_RenderElement name="grid" PrefixSpecial="addr" IdField="AddressId" grid="Default"/>
<script type="text/javascript">
Grids['addr'].SetDependantToolbarButtons( new Array('edit','delete') );
</script>

<inp2:m_include t="incs/footer"/>
